## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanEXSLTFunctionDistinct Class Reference

`#include <XalanEXSLTSetImpl.hpp>`

Inheritance diagram for XalanEXSLTFunctionDistinct:

[legend]
Collaboration diagram for XalanEXSLTFunctionDistinct:

[legend]
List of all members.

## Public Methods

- XalanEXSLTFunctionDistinct ()
- virtual ~XalanEXSLTFunctionDistinct ()
- virtual XalanEXSLTFunctionDistinct* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Protected Methods

- virtual const XalanDOMString& getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Constructor & Destructor Documentation

XalanEXSLTFunctionDistinct::XalanEXSLTFunctionDistinct ( | )

XalanEXSLTFunctionDistinct::~XalanEXSLTFunctionDistinct ( | )`[virtual]`

## Member Function Documentation

XalanEXSLTFunctionDistinct * XalanEXSLTFunctionDistinct::clone ( | MemoryManagerType & theManager ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from FunctionDistinct.

const XalanDOMString & XalanEXSLTFunctionDistinct::getError ( | XalanDOMString & theBuffer ) const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from FunctionDistinct.

The documentation for this class was generated from the following file:

- XalanEXSLTSetImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.